extends layout

block content
  //to fix the underscore issue
  - var desired = wardName.replace(/_/g, " ");

  - function titleCase(str) {
  - var splitStr = str.toLowerCase().split(' ');
  - for (var i = 0; i < splitStr.length; i++) {
       // You do not need to check if i is larger than splitStr length, as your for does that for you
       // Assign it back to the array
  -    splitStr[i] = splitStr[i].charAt(0).toUpperCase() + splitStr[i].substring(1);     
  -}
   // Directly return the joined string
  - return splitStr.join(' '); 
  -}

  - var desired2 = titleCase(desired);

  h1= desired2
  p Population Estimate
  p #{desired2}
  p My Category is #{category}
   script
      include ../public/javascripts/test_d3.js
      include ../public/javascripts/age.js
      include ../public/javascripts/d3/age.js
  //script(type="text/javascript").
    d3.select("#viz")
      .append("svg")
        .attr('width', 600)
        .attr('height', 300)
        .append('circle')
          .attr('cx', 300)
          .attr('cy', 150)
          .attr('r', 30)
          .attr('fill', '#26963c')
  div#keys
    .high.l.w_sto     
      span.dot.high.l
      p.l High
    .medium.l.w_sto
      span.dot.medium.l
      p.l Average
    .low.l.w_sto 
      span.dot.low.l
      p.l Low
  div#pop
    .ipop
      p.popT #{wardName}
      img.pop_icon(src="../../images/person_icon.png")
    .ipop  
      p.popT Bristol
      img.pop_icon(src="../../images/person_icon.png")


      //- var width = document.getElementById('foo').offsetWidth;
  
  #ageGroups
    h2 Age Groups
  #chart